declare const _default: {
    translate: ({ text, from, to, userLang, autoDetect }: {
        text: string;
        from?: string | undefined;
        to?: string | undefined;
        userLang?: string | undefined;
        autoDetect?: boolean | undefined;
    }) => Promise<{
        text: string;
        from: string;
        to: string;
        result: string[];
        dict: string[] | null;
        phonetic: string | null | undefined;
        raw: any;
    }>;
    audio: ({ text, from }: {
        text: string;
        from?: string | undefined;
    }) => Promise<string[] | undefined>;
    detect: (text: string) => Promise<string>;
};
export default _default;
